- NAME
- DESCRIPTION
- FLAGS
  - DEPENDS_ON
  - WIPE_AFTER
  - VARIABLE
- STATES
  - ON_STACK
  - WIPED

# NAME

RT::Shredder::Constants - RT::Shredder constants that is used to mark state of RT objects.

# DESCRIPTION

This module contains two group of bit constants. First group is group of flags which are used to clarify dependencies between objects, and second group is states of RT objects in Shredder cache.

# FLAGS

## DEPENDS_ON

Targets that has such dependency flag set should be wiped out with base object.

## WIPE_AFTER

If dependency has such flag then target object would be wiped only after base object. You should mark dependencies with this flag if two objects depends on each other, for example Group and Principal have such relationship, this mean Group depends on Principal record and that Principal record depends on the same Group record. Other examples: User and Principal, User and its ACL equivalence group.

## VARIABLE

This flag is used to mark dependencies that can be resolved with changing value in target object. For example ticket can be created by user we can change this reference when we delete user.

# STATES

## ON_STACK

Default state of object in Shredder cache that means that object is loaded and placed into cache.

## WIPED

Objects with this state no longer exist in the DB, but the Perl object is still in memory. This state is used to be sure that the delete query is called once.

← Back to index